/* POPPINS FONT FAMILY */
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,500;1,700&display=swap');
@import url("https://fonts.googleapis.com/css2?family=Righteous&display=swap");

* {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  outline: 0;
}

body {
  background-color: #F8F8FA;
}


header {
  display: flex;
  flex-direction: column;
  position: relative;
  height: 82vh;
  background-color: #4516FE;

}


/***** NAVBAR *****/
nav {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  height: 50px;
  font-size: 13px;
}

.nav-item {
  padding: 20px;
  color: #ffffff;
}

.nav-item-active {
  background-color: #fff;
  height: 30px;
  width: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
}


/***** LOGO *****/
.logo {
  position: relative;
  left: 50px;
}

/***** TEXT *****/
.header-text {
  display: block;
  flex-direction: column;
  justify-content: space-between;
  width: 700px;
  position: relative;
  top: 80px;
  left: 45px;;
  color: #fff;
}

.header-text h2 {
  font-size: 45px;
  margin-bottom: 15px ;
}

.header-text p {
  font-size: 20px;
  margin-bottom: 15px ;
}

[src="./images/Rectangle_12.png"] {
  width: 40px;
}


/***** IMAGE *****/
.header-image {
  width: 50%;;
  position: absolute;
  top: 60px;
  right: 0px
}

/***** COMPANIES *****/
.companies {
  display: flex;
  justify-content: space-around;
  align-items: flex-start;
  width: 700px;
  height: 150px;
}

.company-items {
  text-decoration: none;
  color: #111111;
  font-family: 'Righteous';
  font-weight: 900;
  font-size: 20px;
  margin-top: 40px;
}


/**** API SECTION ****/
.api {
  display: flex;
  flex-direction: column;
  height: 500px;
  width: 90vw;
  margin: 0 auto;
}

.api-heading {
  display: flex;
  margin-left: 50px;
  font-weight: bolder;
  height: 150px;
  align-items: center;
}

.cards {
  display: flex;
  justify-content: space-evenly;
  height: 300px;
  align-items: center;
  position: relative;
}

.card-active {
  height: 80%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  border-radius: 10px;
  box-shadow: 1px 0px 2px #a4a4a4;
  background-color: #fff;
  padding-left: 15px;
  padding-right: 15px;
}

.card-active h3 {
  color: #5A31FC;
}

.card {
  height: 80%;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  border-radius: 10px;
  background-color: #F8F8FA;
  padding-left: 15px;
}

.card-logo{
  margin-top: 30px;
  margin-bottom: 15px;;
}

.card:last-child::after {
  content: ">";
  display: flex;
  justify-content: center;
  align-items: center;
  width: 30px;
  height: 30px;
  border: none;
  font-size: 35px;
  position: absolute;
  top: 130px;
  right: 20px;
  background-color: #5A31FC;
  border-radius: 15px;
  color: #ffffff;
}

/* BLOG SECTION */
.blog-heading {
 width: 90vw;
 margin: 0 auto;
  font-size: larger;
  font-weight: bolder;
  height: 150px;
}

.blog-heading::after {
  content: "See All Articles";
  display: block;
  display: flex;
  justify-content: flex-end;
  position: relative;
  bottom: 40px;
  font-size: 15px;
  color: #5A31FC;
}

/* BLOG CARDS */
.blog-cards {
  width: 90vw;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  height: 100%;
  padding-bottom: 100px;
}

.blog-card {
  display: flex;
  position: relative;
  height: 288px;
  width: 500px;
  background-color: #fff;
  left: 50px;
  box-shadow: 1px 0px 2px #a4a4a4;
}

.blog-card:nth-child(2) {
  position: absolute;
  left: 785px;
  /* display: none; */
}

.blog-image {
  position: relative;
  right: 50px
}
.blog-content {
  width: 80%;
  height: 80%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
}

.blog-content h6 {
  margin-left: 20px;
  color: #5A31FC;
  font-weight: 700;
  margin-bottom: 10px;
}
.blog-content h3 {
  margin-left: 20px;

}
.blog-content small {
  margin-left: 20px;
  margin-top: 10px;

}

.blog-bottom {
  position: absolute;
  bottom: -30px;
  left: 300px;
}

.blog-author {
  width: 150px;
  position: absolute;
  bottom: 3px;
  left: 180px;
  font-size: 10px;
}

/*** FAQ SECTION ***/
.faq-section {
  margin: 0 auto;
  display: flex;
  background-color: #E9EDFF;
  justify-content: space-between;
  align-items: center;
  height: 330px;
}

.faq-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  height: 330px;
  width: 500px;
  margin-left: 55px;
}

.faq-content h2 {
  font-size: 40px;
  line-height: 45px;
}

.faq-content h4:nth-child(2){
  font-size: 10px;
  font-weight: 400;
  margin-top: 10px;
  margin-bottom: 25px;
}

.faq-content button {
  border: none;
  background-color: #5A31FC; 
  width: 100px;
  height: 40px;
  border-radius: 5px;
  margin-top: 20px;
  color: #ffffff
}


/*** DOWNLOAD ***/
.download-section {
  height: 200px;
  display: flex;
  align-items: center;
  justify-content: space-around;
  margin: 0 auto;
  background-color: #fff;
}

.download-content {
  position: relative;
  right: 70px
}

.download-content h1 span {
  font-weight: 200;
}

.download-email {
  position: relative;
  left: 150px
}

.download-email form input {
  width: 500px;
  height: 40px;
  background-color: #E9EDFF;
  border-radius: 20px;
  padding-left: 25px;
  border: none;
}

.download-email form button {
  position: relative;
  right: 100px;
  width: 100px;
  height: 40px;
  border-radius: 20px;
  border: none;
  background-color:  #5A31FC;
  color: #ffffff;
}

/*** FOOTER ***/
.footer-section {
  background-color: #4516FE;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 200px;
}

.footer-left {
  display: flex;
  flex-direction: column;
  position: relative;
  left: 50px;
}

.footer-logo {
  width: 120px;
  position: relative;
  bottom: 20px
}

.footer-left .list {
  display: flex;
  width: 400px;
  justify-content: space-around;
  position: absolute;
  top: 45px;
  left: -24px;
  color: #ffffff;
  font-size: 10px;
  font-weight: 300;
}

.footer-left .list .list-items {
  list-style: none;
}

.footer-left .list .list-items:nth-child(2)::after,
.footer-left .list .list-items:nth-child(3)::after,
.footer-left .list .list-items:nth-child(4)::after  {
  content: "|";
  position: relative;
  left: 20px;
}

.footer-section > .footer-right {
  position: relative;
  right: 60px;
  top: 10px;
  height: 100px;
}

.footer-section > .footer-right > .footer-right {
  width: 150px;
  display: flex;
  justify-content:space-between ;
  margin: 0 auto;
}

.footer-section > .footer-right > .logos-list {
  display: flex;
  width: 150px;
  justify-content: space-between;
  position: relative;
  top: 25px;
}

.footer-section > .footer-right > .logos-list > .list-items {
  color: #ffffff;
  text-decoration: none;
  list-style: none;
  font-weight: 300;
  font-size: 10px;
}

.footer-section > .footer-right > .logos-list > .list-items:first-child::after {
  content: "|";
  position: relative;
  left: 15px;
}

.footer-section > .footer-right > .logos-list > .list-items:nth-child(2)::after {
  content: "|";
  position: relative;
  left: 15px;
}




/* MOBILE-RESPONSIVE */

@media only screen and (max-width: 600px) {

  header {
    height: 50vh;
  }

  nav {
width: 95%;
margin: 0px auto;
justify-content: space-around;
  }
  .logo {
    width: 60px;
    left: 20px
  }

  .nav-item {
    font-size: 10px;
    padding: 0 ;
  }

  .nav-item-active {
    width: 60px;
    font-size: 10px;
  }

  .header-text {
    width: fit-content;
    top: 180px;
    left: 5%;
  }

  .header-text h2 {
    font-size: 25px;
  }
  
  .header-text p {
    display: none;
  }
  
  .header-image {
    width: 55%;
    top: 50px;
  }

  /***** COMPANIES *****/
.companies {
  width: 100%;
  height: 100px;
}

.company-items {
  font-size: 15px;
  margin-top: 30px;
}

/**** API SECTION ****/
.api {
  display: flex;
  flex-direction: column;
  height: 500px;
  width: 100%;
  margin: 0 auto;
}

.api-heading {
  display: flex;
  margin-left: 50px;
  font-weight: bolder;
  height: 100px;
  align-items: center;
  font-size: 25px;
}

.cards {
  display: flex;
  justify-content: center;
  height: 70%;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: center;
  width: 32%;
  padding:0 10px;
}

.card-active {
  padding-left: 10px;
  padding-right: 10px;
  height: 42%;
  font-size: 10px;
}


.card {
  height: 42%;
  font-size: 10px;  padding-left: 10px;
}

.card-logo{
  width: 25px;
}

.card:last-child::after {
  width: 20px;
  height: 20px;
  font-size: 20px;
  top: 110px;
  left: 300px;
}

/* blog-articles */
.blog-heading {
  font-size: 15px;
}

.blog-heading::after {
  content: "See All Articles";
  font-size: 12px;
}

.blog-cards {
  width: 90vw;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 100%;
  padding-bottom: 100px;
}

.blog-card {
  display: flex;
  position: relative;
  height: 150px;
  width: 90%;
  left: 40px;
}

.blog-card:nth-child(2) {
  position: relative;
  top: 40px;
  left: 50px;
  /* display: none; */
}

.blog-image img{
  height: 150px;
}

.blog-content {
  width: 80%;
  height: 80%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
}

.blog-content h6 {
  width: 90px;
  margin-left: 100px;
padding-top: 0px;
}

.blog-content h3 {
  margin-left: 0px;
  font-size: 15px;
  position: relative;
  right: 30px;
  width: 100%;
}
.blog-content small {
  margin-left: 0px;
  margin-top: 10px;
font-size: 10px;
position: relative;
right: 30px;
}

.blog-bottom {
  position: absolute;
  bottom: -30px;
  left: 300px;
}

.blog-card-bottom-image {
  width: 40px;
  position: relative;
  right: 150px;
}

.blog-author {
  /* position: relative; */
  width: 150px;
  bottom: 0px;
  left: 97px;
  font-size: 7px;
}

/* faq-section */
.faq-section {
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.faq-content {
  text-align: center;
align-items: center;  
margin-left: 0;
}

.faq-image{
  display: none;
}
  
/* Download-section */
.download-section {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: space-around;
  margin: 0 auto;
}

.download-content {
  position: unset;
}

.download-content h1 span {
  font-weight: 200;
}

.download-email {
  position: unset;
}

.download-email form input {
  width: 80%;
  height: 40px;
  padding-left: 25px;
}

.download-email form button {
  position: relative;
  left: 200px;
  bottom: 40px;
  width: 100px;
  height: 40px;
}

/* footer-section */
.footer-logo {
  width: 60px;
  bottom: 25px;
}

.footer-logos {
  width: 30px;
}

.list {
  margin-top: 25px;
  left: 0px;
}

}




